Fix branch variable in github scm
[releng/global-jjb.git] / .jjb-test / expected-xml / github-ciman-jjb-verify
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>https://github.com/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue>refs/heads/master</defaultValue>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>LFTOOLS_VERSION</name>
64           <description>Version of lftools to install. Can be a specific version like
65 '0.6.0' or a PEP-440 definition.
66 https://www.python.org/dev/peps/pep-0440/
67 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
68 </description>
69           <defaultValue>&lt;1.0.0</defaultValue>
70         </hudson.model.StringParameterDefinition>
71         <hudson.model.StringParameterDefinition>
72           <name>JJB_VERSION</name>
73           <description>Jenkins Job Builder version to download and install.</description>
74           <defaultValue>1.6.2</defaultValue>
75         </hudson.model.StringParameterDefinition>
76       </parameterDefinitions>
77     </hudson.model.ParametersDefinitionProperty>
78   </properties>
79   <scm class="hudson.plugins.git.GitSCM">
80     <configVersion>2</configVersion>
81     <userRemoteConfigs>
82       <hudson.plugins.git.UserRemoteConfig>
83         <name>origin</name>
84         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
85         <url>git@github.com:example-org/releng/ciman</url>
86         <credentialsId>test-credential</credentialsId>
87       </hudson.plugins.git.UserRemoteConfig>
88     </userRemoteConfigs>
89     <branches>
90       <hudson.plugins.git.BranchSpec>
91         <name>master</name>
92       </hudson.plugins.git.BranchSpec>
93     </branches>
94     <excludedUsers/>
95     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
96     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
97     <authorOrCommitter>false</authorOrCommitter>
98     <wipeOutWorkspace>true</wipeOutWorkspace>
99     <pruneBranches>false</pruneBranches>
100     <remotePoll>false</remotePoll>
101     <gitTool>Default</gitTool>
102     <submoduleCfg class="list"/>
103     <relativeTargetDir/>
104     <reference/>
105     <gitConfigName/>
106     <gitConfigEmail/>
107     <skipTag>true</skipTag>
108     <scmName/>
109     <useShallowClone>false</useShallowClone>
110     <ignoreNotifyCommit>false</ignoreNotifyCommit>
111     <extensions>
112       <hudson.plugins.git.extensions.impl.SubmoduleOption>
113         <disableSubmodules>false</disableSubmodules>
114         <recursiveSubmodules>true</recursiveSubmodules>
115         <trackingSubmodules>false</trackingSubmodules>
116         <reference/>
117         <timeout>10</timeout>
118       </hudson.plugins.git.extensions.impl.SubmoduleOption>
119       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
120     </extensions>
121   </scm>
122   <triggers class="vector">
123     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
124       <spec/>
125       <adminlist/>
126       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
127       <whitelist/>
128       <orgslist/>
129       <cron/>
130       <triggerPhrase>^recheck$</triggerPhrase>
131       <onlyTriggerPhrase>false</onlyTriggerPhrase>
132       <useGitHubHooks>true</useGitHubHooks>
133       <permitAll>true</permitAll>
134       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
135       <extensions>
136         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
137           <commitStatusContext>JJB Verify</commitStatusContext>
138         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
139       </extensions>
140     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
141   </triggers>
142   <builders>
143     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
144       <managedFiles>
145         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
146           <fileId>jjbini</fileId>
147           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
148           <variable/>
149         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
150       </managedFiles>
151     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
152     <hudson.tasks.Shell>
153       <command>#!/bin/bash
154 # SPDX-License-Identifier: EPL-1.0
155 ##############################################################################
156 # Copyright (c) 2017 The Linux Foundation and others.
157 #
158 # All rights reserved. This program and the accompanying materials
159 # are made available under the terms of the Eclipse Public License v1.0
160 # which accompanies this distribution, and is available at
161 # http://www.eclipse.org/legal/epl-v10.html
162 ##############################################################################
163
164 # This script will make sure that there are no JIRA URLs in the commit
165 # message. JIRA URLs will break the its-jira plugin
166
167 # Ensure we fail the job if any steps fail.
168 # Do not treat undefined variables as errors as in this case we are allowed
169 # to have JIRA_URL undefined
170 set -e -o pipefail
171 set +u
172
173 if [ -n &quot;${JIRA_URL}&quot; ];
174 then
175   BASE_URL=$(echo $JIRA_URL | awk -F'/' '{print $3}')
176   JIRA_LINK=$(git rev-list --format=%B --max-count=1 HEAD | grep -io &quot;http[s]*://$BASE_URL/&quot; || true)
177   if [[ ! -z &quot;$JIRA_LINK&quot; ]]
178   then
179     echo 'Remove JIRA URLs from commit message'
180     echo 'Add jira references as: Issue: &lt;JIRAKEY&gt;-&lt;ISSUE#&gt;, instead of URLs'
181     exit 1
182   fi
183 fi
184
185 #!/bin/bash
186 # SPDX-License-Identifier: EPL-1.0
187 ##############################################################################
188 # Copyright (c) 2017 The Linux Foundation and others.
189 #
190 # All rights reserved. This program and the accompanying materials
191 # are made available under the terms of the Eclipse Public License v1.0
192 # which accompanies this distribution, and is available at
193 # http://www.eclipse.org/legal/epl-v10.html
194 ##############################################################################
195 echo &quot;---&gt; jjb-install.sh&quot;
196
197 # Ensure we fail the job if any steps fail.
198 # DO NOT set -u as virtualenv's activate script has unbound variables
199 set -e -o pipefail
200
201 virtualenv &quot;/tmp/v/jjb&quot;
202 # shellcheck source=/tmp/v/jjb/bin/activate disable=SC1091
203 source &quot;/tmp/v/jjb/bin/activate&quot;
204 pip install --quiet --upgrade pip
205 pip install --quiet --upgrade pipdeptree
206 pip install --quiet --upgrade &quot;jenkins-job-builder==$JJB_VERSION&quot;
207
208 echo &quot;----&gt; Pip Dependency Tree&quot;
209 pipdeptree
210
211 #!/bin/bash
212 # SPDX-License-Identifier: EPL-1.0
213 ##############################################################################
214 # Copyright (c) 2017 The Linux Foundation and others.
215 #
216 # All rights reserved. This program and the accompanying materials
217 # are made available under the terms of the Eclipse Public License v1.0
218 # which accompanies this distribution, and is available at
219 # http://www.eclipse.org/legal/epl-v10.html
220 ##############################################################################
221 echo &quot;---&gt; jjb-verify-job.sh&quot;
222
223 # Ensure we fail the job if any steps fail.
224 set -eu -o pipefail
225
226 jenkins-jobs -l DEBUG test --recursive -o archives/job-configs jjb/
227
228 # Sort job output into sub-directories. On large Jenkins systems that have
229 # many jobs archiving so many files into the same directory makes NGINX return
230 # the directory list slow.
231 pushd archives/job-configs
232 for letter in {a..z}
233 do
234     if [[ $(ls &quot;$letter&quot;* &gt; /dev/null 2&gt;&amp;1) -eq 0 ]]
235     then
236         mkdir &quot;$letter&quot;
237         find . -maxdepth 1 -type f -name &quot;$letter*&quot; -exec mv {} &quot;$letter&quot; \;
238     fi
239 done
240 popd
241
242 #!/bin/bash
243 # SPDX-License-Identifier: EPL-1.0
244 ##############################################################################
245 # Copyright (c) 2015 The Linux Foundation and others.
246 #
247 # All rights reserved. This program and the accompanying materials
248 # are made available under the terms of the Eclipse Public License v1.0
249 # which accompanies this distribution, and is available at
250 # http://www.eclipse.org/legal/epl-v10.html
251 ##############################################################################
252 echo &quot;---&gt; jjb-check-unicode.sh&quot;
253
254 if LC_ALL=C grep -I -r '[^[:print:][:space:]]' jjb/; then
255     echo &quot;Found files containing non-ascii characters.&quot;
256     exit 1
257 fi
258
259 echo &quot;All files are ASCII only&quot;
260 </command>
261     </hudson.tasks.Shell>
262     <hudson.tasks.Shell>
263       <command>#!/bin/bash
264 # SPDX-License-Identifier: EPL-1.0
265 ##############################################################################
266 # Copyright (c) 2016 The Linux Foundation and others.
267 #
268 # All rights reserved. This program and the accompanying materials
269 # are made available under the terms of the Eclipse Public License v1.0
270 # which accompanies this distribution, and is available at
271 # http://www.eclipse.org/legal/epl-v10.html
272 ##############################################################################
273 echo &quot;---&gt; gpg-verify-git-signature.sh&quot;
274
275 if git log --show-signature -1 | grep -E -q 'gpg: Signature made.*key ID'; then
276    echo &quot;Git commit is GPG signed.&quot;
277 else
278    echo &quot;WARNING: GPG signature missing for the commit.&quot;
279 fi
280
281 # Do NOT fail the job for unsigned commits
282 exit 0
283 </command>
284     </hudson.tasks.Shell>
285   </builders>
286   <publishers>
287     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
288       <buildSteps>
289         <hudson.tasks.Shell>
290           <command>#!/bin/bash
291 # SPDX-License-Identifier: EPL-1.0
292 ##############################################################################
293 # Copyright (c) 2017 The Linux Foundation and others.
294 #
295 # All rights reserved. This program and the accompanying materials
296 # are made available under the terms of the Eclipse Public License v1.0
297 # which accompanies this distribution, and is available at
298 # http://www.eclipse.org/legal/epl-v10.html
299 ##############################################################################
300 echo &quot;---&gt; sysstat.sh&quot;
301 set +e  # DON'T fail build if script fails.
302
303 OS=$(facter operatingsystem)
304 case &quot;$OS&quot; in
305     Ubuntu)
306         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
307
308         # Dont run the script when systat is not enabled by default
309         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
310             exit 0
311         fi
312     ;;
313     CentOS|RedHat)
314         SYSSTAT_PATH=&quot;/var/log/sa&quot;
315     ;;
316     *)
317         # nothing to do
318         exit 0
319     ;;
320 esac
321
322 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
323 mkdir -p &quot;$SAR_DIR&quot;
324 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
325 # convert sar data to ascii format
326 while IFS=&quot;&quot; read -r s
327 do
328     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
329 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
330
331 # DON'T fail build if script fails.
332 exit 0
333 </command>
334         </hudson.tasks.Shell>
335         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
336           <managedFiles>
337             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
338               <fileId>jenkins-log-archives-settings</fileId>
339               <targetLocation/>
340               <variable>SETTINGS_FILE</variable>
341             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
342           </managedFiles>
343         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
344         <EnvInjectBuilder>
345           <info>
346             <propertiesContent>SERVER_ID=logs</propertiesContent>
347           </info>
348         </EnvInjectBuilder>
349         <hudson.tasks.Shell>
350           <command>#!/bin/bash
351 # SPDX-License-Identifier: EPL-1.0
352 ##############################################################################
353 # Copyright (c) 2017 The Linux Foundation and others.
354 #
355 # All rights reserved. This program and the accompanying materials
356 # are made available under the terms of the Eclipse Public License v1.0
357 # which accompanies this distribution, and is available at
358 # http://www.eclipse.org/legal/epl-v10.html
359 ##############################################################################
360 echo &quot;---&gt; create-netrc.sh&quot;
361
362 # Ensure we fail the job if any steps fail.
363 set -eu -o pipefail
364
365 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
366 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
367     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
368     -v x:username -o &quot;:&quot; -v x:password \
369     &quot;$SETTINGS_FILE&quot;)
370
371 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
372 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
373 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
374
375 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
376 </command>
377         </hudson.tasks.Shell>
378         <hudson.tasks.Shell>
379           <command>#!/bin/bash
380 # SPDX-License-Identifier: EPL-1.0
381 ##############################################################################
382 # Copyright (c) 2017 The Linux Foundation and others.
383 #
384 # All rights reserved. This program and the accompanying materials
385 # are made available under the terms of the Eclipse Public License v1.0
386 # which accompanies this distribution, and is available at
387 # http://www.eclipse.org/legal/epl-v10.html
388 ##############################################################################
389 echo &quot;---&gt; lftools-install.sh&quot;
390
391 # Script to install lftools via a version passed in via lf-infra-parameters
392 #
393 # Required parameters:
394 #
395 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
396 #                      set to a strict version number like '1.2.3' or using
397 #                      PEP-440 definitions.
398 #
399 #                      Examples:
400 #                          &lt;1.0.0
401 #                          &gt;=1.0.0,&lt;2.0.0
402 #
403 # By default a released version of lftools should always be used.
404 # The purpose of the 2 variables below is so that lftools devs can test
405 # unreleased versions of lftools. There are 2 methods to install a dev version
406 # of lftools:
407 #
408 #     1) gerrit patch: Used to test a patch that has not yet been merged.
409 #                      To do this set something like this:
410 #                          LFTOOLS_MODE=gerrit
411 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
412 #
413 #     2) git branch: Used to install an lftools version from a specific branch.
414 #                    To use this set the variables as follows:
415 #                          LFTOOLS_MODE=git
416 #                          LFTOOLS_REFSPEC=master
417 #
418 #     3) release : The intended use case and default setting.
419 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
420
421 LFTOOLS_MODE=release  # release | git | gerrit
422 LFTOOLS_REFSPEC=master
423
424 # Ensure we fail the job if any steps fail.
425 # DO NOT set -u as virtualenv's activate script has unbound variables
426 set -e -o pipefail
427
428 virtualenv --quiet &quot;/tmp/v/lftools&quot;
429 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
430 source &quot;/tmp/v/lftools/bin/activate&quot;
431 pip install --quiet --upgrade pip
432
433 case $LFTOOLS_MODE in
434     gerrit)
435         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
436         pushd /tmp/lftools
437         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
438         git checkout FETCH_HEAD
439         pip install --quiet --upgrade -r requirements.txt
440         pip install --quiet --upgrade -e .
441         popd
442         ;;
443
444     git)
445         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
446         ;;
447
448     release)
449         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
450             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
451         fi
452
453         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
454         ;;
455 esac
456
457 lftools --version
458
459 # pipdeptree prints out a lot of information because lftools pulls in many
460 # dependencies. Let's only print it if we want to debug.
461 # echo &quot;----&gt; Pip Dependency Tree&quot;
462 # pip install --quiet --upgrade pipdeptree
463 # pipdeptree
464
465 #!/bin/bash
466 # SPDX-License-Identifier: EPL-1.0
467 ##############################################################################
468 # Copyright (c) 2017 The Linux Foundation and others.
469 #
470 # All rights reserved. This program and the accompanying materials
471 # are made available under the terms of the Eclipse Public License v1.0
472 # which accompanies this distribution, and is available at
473 # http://www.eclipse.org/legal/epl-v10.html
474 ##############################################################################
475 echo &quot;---&gt; logs-deploy.sh&quot;
476
477 # Ensure we fail the job if any steps fail.
478 set -eu -o pipefail
479
480 set -x  # Trace commands for this script to make debugging easier.
481
482 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
483 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
484
485 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
486 then
487     set +x # Disable trace since we no longer need it
488
489     echo &quot;WARNING: Logging server not set&quot;
490 else
491     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
492     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
493     BUILD_URL=&quot;${BUILD_URL}&quot;
494
495     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
496     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
497
498     set +x  # Disable trace since we no longer need it.
499
500     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
501 fi
502 </command>
503         </hudson.tasks.Shell>
504         <hudson.tasks.Shell>
505           <command>#!/bin/bash
506 # SPDX-License-Identifier: EPL-1.0
507 ##############################################################################
508 # Copyright (c) 2017 The Linux Foundation and others.
509 #
510 # All rights reserved. This program and the accompanying materials
511 # are made available under the terms of the Eclipse Public License v1.0
512 # which accompanies this distribution, and is available at
513 # http://www.eclipse.org/legal/epl-v10.html
514 ##############################################################################
515
516 # Clear log credential files
517 rm &quot;$SETTINGS_FILE&quot;
518 rm ~/.netrc
519 </command>
520         </hudson.tasks.Shell>
521         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
522           <regexp>^Build logs: .*</regexp>
523         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
524       </buildSteps>
525       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
526       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
527       <markBuildUnstable>false</markBuildUnstable>
528     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
529     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
530       <patterns>
531         <hudson.plugins.ws__cleanup.Pattern>
532           <pattern>**/*.jenkins-trigger</pattern>
533           <type>EXCLUDE</type>
534         </hudson.plugins.ws__cleanup.Pattern>
535       </patterns>
536       <deleteDirs>false</deleteDirs>
537       <cleanupMatrixParent>false</cleanupMatrixParent>
538       <externalDelete/>
539       <cleanWhenSuccess>true</cleanWhenSuccess>
540       <cleanWhenUnstable>true</cleanWhenUnstable>
541       <cleanWhenFailure>true</cleanWhenFailure>
542       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
543       <cleanWhenAborted>true</cleanWhenAborted>
544       <notFailBuild>true</notFailBuild>
545     </hudson.plugins.ws__cleanup.WsCleanup>
546   </publishers>
547   <buildWrappers>
548     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
549     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
550       <timeoutMinutes>10</timeoutMinutes>
551       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
552       <failBuild>true</failBuild>
553       <writingDescription>false</writingDescription>
554       <timeoutPercentage>0</timeoutPercentage>
555       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
556       <timeoutType>absolute</timeoutType>
557     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
558     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
559     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
560       <user>test-credential</user>
561     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
562     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
563     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
564       <managedFiles>
565         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
566           <fileId>npmrc</fileId>
567           <targetLocation>$HOME/.npmrc</targetLocation>
568           <variable/>
569         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
570       </managedFiles>
571     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
572   </buildWrappers>
573 </project>